# eric4.Wizards.FileDialogWizard.FileDialogWizard

Module implementing the file dialog wizard.

### Classes

FileDialogWizard | Class implementing the file dialog wizard.

### Functions

None

## FileDialogWizard

Class implementing the file dialog wizard.

### Derived from

WizardIFace

### Methods

FileDialogWizard | Constructor
__callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

#### FileDialogWizard (Constructor)

FileDialogWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

#### FileDialogWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### FileDialogWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

#### FileDialogWizard.handle

handle()

Worker method associated with the wizard action

#### FileDialogWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up